/* <copyright                                       */
/* notice="cics-lm-source-asis"                     */
/* pids="5655EXP"                                   */
/* years="2012"                                     */
/* crc="2740541987" >                               */
/* Licensed Materials - Property of IBM             */
/* 	5655EXP                                         */
/* 	(C) Copyright IBM Corp. 2012                    */
/* 	This source material is provided "AS-IS" under the terms and */
/* 	conditions of the IBM Customer Agreement and of the associated */
/* 	Licensed Program Specifications documentation for CICS Transaction */
/* 	Server for z/OS.                                */
/*                                                  */
/* 	The terms and conditions of this license permit users to modify this */
/* 	source material and DO NOT provide for any entitlement to defect */
/* 	correction.                                     */
/* </copyright>                                     */
package $packageName$;

import java.io.InputStream;
import java.io.OutputStream;

import org.apache.commons.net.telnet.TelnetClient;

import com.ibm.cics.core.comm.IConnection;

public interface ITelnetConnection extends IConnection {
	
	public InputStream getInputStream();
	public OutputStream getOutputStream();
	public TelnetClient getTelnetClient();
	public TelnetOperation getOperation();
	public String getInitialMessage();

}
